{--------------------------------------------------------}
{
{    vtmsg - mdulo de mensagens do voxtube
{
{    Autores:  Antonio Borges e Fabiano Ferreira
{
{    Em fevereiro de 2013
{
{--------------------------------------------------------}

unit vtmsg;

interface

uses dvcrt, dvWin, dvWav,
     windows, sysUtils;

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);

implementation

{--------------------------------------------------------}
{              descobre o texto da mensagem
{--------------------------------------------------------}

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    if nomeArq = 'VTINIC' then
        s := 'Programa de Pesquisa no YouTube - verso '
    else
    if nomeArq = 'VTQBUSCA' then
        s := 'Qual sua busca: '
    else
    if nomeArq = 'VTOUTRO' then
        s := 'Deseja pesquisar outro assunto? '
    else
    if nomeArq = 'VTFIM' then
        s := 'Fim do programa'
    else
    if nomeArq = 'VTNAOCON' then
        s := 'No consegui realizar a conexo.'
    else
    if nomeArq =  'VTNUMLID' then
         s := 'Registros lidos: '
    else
    if nomeArq =  'VTUNIVER' then
        s := ' de um universo de '
    else
    if nomeArq =  'VTAUTOR' then
        s := 'Autor: '
    else
    if nomeArq =  'VTTRANSM' then
        s := 'Transmitido: '
    else
    if nomeArq =  'VTDURA' then
        s := 'Durao: '
    else
    if nomeArq =  'VTVISUAL' then
        s := 'Visualizaes: '
    else
    if nomeArq = 'VTQUERMO' then
        s :=  'Quer mostrar? '
    else
    if nomeArq = 'VTABNAV' then
        s := 'Abrindo navegador. Acione ALT F4 quando terminar.'
    else
    if nomeArq = 'VTFOLTRM' then
        s := 'Folheamento terminado'
    else
    if nomeArq = 'VTMINUTO' then
        s := ' minutos '
    else
    if nomeArq = 'VTSEGUND' then
        s := ' segundos'
    else
    if nomeArq = 'VTAPTENT' then
        s := 'Aperte Enter...'
    else
    if nomearq = 'VTNTOCA' then
        s := 'Execuo via player no disponvel.'
    else
    if nomearq = 'VTNAVEG' then
        s := 'Deseja executar no navegador?'
    else
    if nomeArq = 'VTULTPGV' then
        s := 'ltima pgina, voltando.'

    else
    if nomeArq = 'VTOPCAO' then
        s := 'As opes so:'
    else
    if nomeArq = 'VTOP_ENT' then
        s := 'Enter - inicia a execuo do vdeo'
    else
    if nomeArq = 'VTOP_I' then
        s := 'I - informaes sobre o vdeo'
    else
    if nomeArq = 'VTOP_P' then
        s := 'P - prximos 25 vdeos (ou quantos houver)'
    else
    if nomeArq = 'VTOP_A' then
        s := 'A - vdeos anteriores'
    else
    if nomeArq = 'VTOP_Q' then
        s := 'Q - informa a posio na lista de vdeos'
    else
    if nomearq = 'VTOP_S' then
        s := 'S - Salvar vdeo'
    else
    if nomearq = 'VTOP_M' then
        s := 'M - gravar o audio do vdeo selecionado em mp3'
    else
    if nomeArq = 'VTOP_CTC' then
        s := 'Ctrl+C copia o ttulo e o link dos vdeos'
    else
    if nomeArq = 'VTOP_CTL' then
        s := 'Ctrl+L - copia o link do vdeo atual'
    else
    if nomeArq = 'VTOP_CTEN' then
        s := 'Ctrl+Enter - exibe o vdeo com o navegador padro'
    else
    if nomeArq = 'VTOP_ESC' then
        s := 'ESC - Cancelar'
    else
    if nomearq = 'VTSELSET' then
        s := 'Selecione com as setas a opo desejada:'

    else
    if nomearq = 'VTMOMENT' then
        s := 'Um momento...'
    else
    if nomearq = 'VTFLVMP4' then
        s := 'Tecle F para salvar no formato FLV, ou M para salvar no formato MP4'
    else
    if nomearq = 'VTDECERR' then
        s := 'No  possvel baixar esse vdeo. Sinto muito.'
    else
    if nomearq = 'VTNTOCA' then
        s := 'Execuo via player no disponvel.'
    else
    if nomearq = 'VTNAVEG' then
        s := 'Deseja executar no navegador? '
    else
    if nomearq = 'VTSALVP' then
        s := 'Salvando para: '
    else
    if nomearq = 'VTEDITE' then
         s := 'Editore o nome, tecle Enter para confirmar, ESC para cancelar.'
    else
    if nomearq = 'VTARQEXI' then
        s := 'Este arquivo j existe. Sobrescreve? '
    else
    if nomearq = 'VTOK' then
        s := 'Ok!'
    else
    if nomearq = 'VTDESIST' then
        s := 'Desistiu'

    else
    if nomearq = 'VTBAIXVD' then
        s := 'Baixando o vdeo: aguarde.'
    else
    if nomearq = 'VTNAOCVA' then
        s := 'No consegui obter o vdeo para gerar o audio.'
    else
    if nomearq = 'VTOPCANC' then
        s := 'Operao foi cancelada.'
    else
    if nomearq = 'VTINCVMP' then
        s := 'Iniciando converso para mp3.'
    else
    if nomearq = 'VTGERAN' then
        s := 'Gerando mp3: '
    else
    if nomearq = 'VTESCRDK' then
        s := ' escritos em disco.'
    else
    if nomearq = 'VTPARACV' then
        s := 'Deseja parar a converso?'
    else
    if nomearq = 'VTXACANC' then
        s := 'Extrao de audio foi cancelada.'
    else
    if nomearq = 'VTXTAOK' then
        s := 'Extrao de audio concluda!'
    else
    if nomearq = 'VTRCAPRO' then
        s := ' recebidos aproximadamente em '
    else
    if nomearq = 'VTPARDWN' then
        s := 'Deseja parar o download? '
    else
    if nomearq = 'VTDWNINT' then
        s := 'O download foi interrompido.'

    else
    if nomearq = 'VTERRCRI' then
        s := 'Erro na criao do arquivo.  Verifique o nome da gravao.'
    else
    if nomearq = 'VTERRGRV' then
        s := 'Erro de gravao.  Verifique o espao em disco.'
    else
    if nomearq = 'VT_E400' then
        s := 'Erro HTTP 400: Requisio  internet mal formulada. Avise Fabiano.'
    else
    if nomearq = 'VT_E404' then
        s := 'Erro HTTP 404: Pgina no encontrada.'
    else
    if nomearq =  'VTRETOMA' then
        s := 'Retomando download'
    else
    if nomearq =  'VTATUALI' then
        s := 'Atualizando...'
    else
    if nomearq = 'VTSELCNF' then
        s := 'Selecione com as setas a opo de configurao:'
    else
    if nomearq =  'VTOP_MAI' then
        s := 'H - Habilita atualizao automtica'
    else
    if nomearq =  'VTOP_MEN' then
        s := 'C - Cancela atualizao automtica'
    else
    if nomearq =  'VTOP_ATU' then
        s := 'A - Atualiza o mdulo de vdeo'
    else
    if nomearq =  'VTOP_DEB' then
        s := 'D - Ativa modo debug para programadores'
    else
    if nomearq =  'VTPGNPRO' then
        s := 'Pgina do Youtube no pode ser processada'
    else
    if nomearq =  'VTEDELIM' then
        s := 'rea de dados no delimitada'
    else
    if nomearq =  'VTEDADOS' then
        s := 'rea de dados no foi encontrada'

    else
        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{                    d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomeArq) then
        sintSom (nomeArq)
    else
        sintetiza (s);
end;

end.
